# Enum Class VulkanPipelineRasterizationStateCreateFlag

java.lang.Object
java.lang.Enum<VulkanPipelineRasterizationStateCreateFlag>
com.io7m.jcoronado.api.VulkanPipelineRasterizationStateCreateFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType, Serializable, Comparable<VulkanPipelineRasterizationStateCreateFlag>, Constable`

public enum VulkanPipelineRasterizationStateCreateFlag extends Enum<VulkanPipelineRasterizationStateCreateFlag> implements VulkanEnumBitmaskType
Vulkan 1.1 specification: "VulkanPipelineRasterizationStateCreateFlag is a bitmask type for setting a mask, but is currently reserved for future use."

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_PIPELINE_RASTERIZATION_STATE_CREATE_FLAG_NONE`
  No flags set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanPipelineRasterizationStateCreateFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanPipelineRasterizationStateCreateFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_PIPELINE_RASTERIZATION_STATE_CREATE_FLAG_NONE

    public static final VulkanPipelineRasterizationStateCreateFlag VK_PIPELINE_RASTERIZATION_STATE_CREATE_FLAG_NONE
    No flags set.

- ## Method Details

  - ### values

    public static VulkanPipelineRasterizationStateCreateFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanPipelineRasterizationStateCreateFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant